Subject: Re: IPP> Need clarification: printer-uri and job-uri

From: Carl Kugler <[email-masked]>
Date: Thu, 2 Apr 1998 17:30:23 -0500

While we're on the subject of printer-uri, here's excerpt from the PRO document:

3.9 (Attribute) Name
Some attributes are encoded in a special position.  These attribute are:
* "printer-uri": When the target is a printer and the transport is HTTP or HTTP
(for TLS), the target printer-uri defined in  each operation in the IPP model
document SHALL be an operation attribute called "printer-uri" and it SHALL also
be specified outside of  the operation layer as the request-URI on the
Request-Line at the HTTP level.  This
*

Just to be perfectly clear, is this saying that the printer-uri must always
appear in BOTH the HTTP Request-Line AND the Operation attribute group?

[email-masked] on 03/31/98 04:29:02 PM
Please respond to [email-masked]
To: [email-masked]
cc:
Subject: IPP> printer-uri and job-uri

Greetings.

There are two issues related to printer-uri and job-uri that need
some clarifications.

Issue1:
  In the IPP Model document, there is no specification for the
  value-tags of "printer-uri" and "job-uri" attributes in a IPP
  request.

  According to the IPP Model document, section 3.1.3, the
  "printer-uri" attribute contains the Printer object's URIs
  which is one of the values in the Printer object's "printer-
  uri-supported" attribute.  This implies that the value-tag
  of "printer-uri" attribute must be of type "uri".  Similarly,
  the value-tag of "job-uri" attribute should be "uri" as well.

Issue 2:
  In the "Note:" section of 3.2.1.1 in the IPP Model document,
  it was mentioned that "The simplest Print-Job Request
  consists of just the Document Content, the "attributes-
  charset" and "attributes-natural-language" operation
  attributes, and nothing else."  However, in the description
  of Print-Job Request of section 15.3.4.3, the "printer-uri"
  attribute is specified as a MUST (indicated by (M)) and also
  in section 3.1.3 of the same document, it was indicated that
  either "printer-uri" or "job-uri" MUST appear in every
  operation request.  There seems to be some inconsistency here.

Please send your remarks/comments to the mailing list.

-PB

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com